Subject: bug#60464: 29.0.60; Regression - pcomplete-arg fails with argument 'last

From: Daniel Mendler <[email-masked]>
Date: Sun, 1 Jan 2023 12:53:16 +0100

On 1/1/23 12:35, Gregory Heytings wrote:
>> Okay, I wasn't sure if my other mail got lost. Anyway I wanted to attach 
>> the additional stack trace. The problem occurs only if 'last is passed, 
>> therefore the issue probably doesn't occur for `ls *.el SPC TAB`.
>>
> 
> It also occurs if 'first is passed, in fact.  Try '$exec-path SPC TAB'.

Of course.

>> You may want to try my Corfu completion UI for testing, even if you 
>> don't like popups for completion or auto completion. It is helpful for 
>> debugging since the UI asks the completion table for completions very 
>> often, in particular if one configures overly aggressive settings (not 
>> recommended for real usage):
>>
> 
> As I said in bug#59956 and bug#60021, I don't use Eshell, so I don't think 
> using another completion UI would have helped.  That's why I asked for 
> feedback, Jim and you both tried the patch and did not report problems.

Actually I tried the patch only for a short time and then forgot about
it when recompiling Emacs the next time. I looked into the issue again
when you closed the bug report.

If you don't use Eshell, maybe you use Shell? Pcomplete issues should
also occur there. But even if you try Eshell/Shell for only a short
time, using Corfu would definitely help in its aggressive settings.
There is no doubt about that since I only found these issues thanks to
Corfu. With default completion you simply don't press TAB after each
other key.

Daniel